#!/bin/bash
PERCONA_VERSION=${1:-5.7.16-10}
URL=https://www.percona.com/downloads/Percona-Server-5.7/Percona-Server-${PERCONA_VERSION}/source/tarball/percona-server-${PERCONA_VERSION}.tar.gz
if [[ ! -f /downloads/percona${PERCONA_VERSION}.tar.gz ]]; then
  echo "Downloading Percona ${PERCONA_VERSION}"
  curl  --progress-bar -SLs -o /downloads/percona${PERCONA_VERSION}.tar.gz ${URL}
fi
echo "untarring /downloads/percona${PERCONA_VERSION}.tar.gz"
cd /percona
tar --strip-component=1 -xzf /downloads/percona${PERCONA_VERSION}.tar.gz
cmake -DDOWNLOAD_BOOST=1 -DWITH_BOOST=/percona/boost .
cd /percona/plugin/audit_log
make

MYSQL_VERSION=$(dpkg -s libmysqlclient-dev  | grep Version | cut -d' ' -f2)
BASEDIR=/package/audit-log-${MYSQL_VERSION}
DIR=${BASEDIR}/usr/lib/mysql/plugin/
mkdir -p ${DIR}
mkdir -p ${BASEDIR}/DEBIAN
cp audit_log.so ${DIR}
chmod 644 ${DIR}/audit_log.so

cat << END > ${BASEDIR}/DEBIAN/control
Package: audit-log
Version: ${MYSQL_VERSION}
Section: database
Priority: optional
Architecture: amd64
Maintainer: Alessandro De Maria
Description: Percona audit_log binary.

END
cd /package
dpkg-deb --build audit-log-${MYSQL_VERSION}
